/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 *
 * Header file for loading, manage Level file
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __LEVEL_SCREEN_H
#define __LEVEL_SCREEN_H

#include <SDL/SDL.h>
#include "level.h"


enum animation_type
{
  ANIMATION_DINO,
  ANIMATION_KINESIST,
  ANIMATION_SQUARE
};


void Level_Update_Board(const struct t_level *l, SDL_Surface *screen);
void Level_Draw_All(struct t_level *l, SDL_Surface *screen);
void Anim_Push(enum animation_type type, int x, int y);
void Level_Update_Animation(struct t_level *l, SDL_Surface *screen);


#endif

